# CSpell NPM Dictionary

This dictionary contains a list of popular JavaScript packages found on [npmjs.com](https://www.npmjs.com/).

This is a pre-built dictionary for use with CSpell.

## Requirements

| Tool                                                                                                                                 | Version |
| ------------------------------------------------------------------------------------------------------------------------------------ | ------- |
| [cspell](https://github.com/streetsidesoftware/cspell)                                                                               | `>= 6`  |
| [Code Spell Checker - Visual Studio Code](https://marketplace.visualstudio.com/items?itemName=streetsidesoftware.code-spell-checker) | `>= 2`  |

## Installation

Global Install and add to CSpell global settings.

```sh
npm install -g @cspell/dict-npm
cspell link add @cspell/dict-npm
```

## Uninstall from CSpell

```sh
cspell link remove @cspell/dict-npm
```

## Manual Installation

The `cspell-ext.json` file in this package should be added to the import section in your cspell.json file.

```javascript
{
    // …
    "import": ["@cspell/dict-npm/cspell-ext.json"],
    // …
}
```

# Dictionary Development

See: [How to Create a New Dictionary](https://github.com/streetsidesoftware/cspell-dicts#how-to-create-a-new-dictionary)

## License

MIT

> Some packages may have other licenses included.

<!---
cspell:ignore npmjs
--->
